> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/venuedata/get-function-space-category-list.md).

# Get Function Space Category List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getFunctionSpaceCategoryList`

Return the venue function space category list for the venue.

#### Path Parameters

| Name                                      | Type    | Description                                |
| ----------------------------------------- | ------- | ------------------------------------------ |
| venueId<mark style="color:red;">\*</mark> | integer | The id of the venue                        |
| perPage                                   | integer | The number of menu to get in a single call |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 5,
        "start": 0,
        "perPage": 10,
        "count": 5
    },
    "results": [
        {
            "id": 2,
            "name": "B Category"
        },
        {
            "id": 1,
            "name": "A Category"
        },
        {
            "id": 3,
            "name": "C"
        },
        {
            "id": 4,
            "name": "abc"
        },
        {
            "id": 5,
            "name": "D Category"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Example Request

`Get Venues Function Space Category List`

```javascript
{
    "venueId": 1,
    "perPage":10
}
```

### Returns

`A collection object with the following properties in the results`

| Property | Data Type | Description                          |
| -------- | --------- | ------------------------------------ |
| id       | integer   | The unique id of the space category. |
| name     | string    | The name of the space category.      |

#### Throws

| Code                 | Description            |
| -------------------- | ---------------------- |
| Specific Code: 24150 | Account does not exist |
| Specific Code: 24102 | Venue does not exist   |
| Specific Code: 24408 | Feature not allowed    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-function-space-category-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
